%define oname   fastercsv

Name:       ruby-%{oname}
Version:    1.5.5
Release:    %mkrel 4
Summary:    FasterCSV is CSV, but faster, smaller, and cleaner
License:    GPLv2+ or Ruby License
Group:      Development/Ruby
URL:        http://fastercsv.rubyforge.org
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
FasterCSV is intended as a complete replacement to the CSV standard library.
It is significantly faster and smaller while still being pure Ruby code. It
also strives for a better interface.

%files
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/AUTHORS
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/COPYING
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/INSTALL
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/TODO
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/CHANGELOG
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
%gem_install

sed -i '/^#!/d' %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/*.rb


%changelog

* Fri Feb 08 2013 umeabot <umeabot> 1.5.5-4.mga3
+ Revision: 395948
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.5.5-3.mga3
+ Revision: 380871
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Nov 03 2012 fwang <fwang> 1.5.5-2.mga3
+ Revision: 312980
- rebuild for new ruby

* Fri Aug 10 2012 shlomif <shlomif> 1.5.5-1.mga3
+ Revision: 280462
- New version 1.5.5

* Sun Feb 13 2011 shikamaru <shikamaru> 1.5.4-1.mga1
+ Revision: 51539
- imported package ruby-fastercsv

